@charset "UTF-8";

// @import '_sprite';
@import 'node_modules/normalize.css/normalize';
@import 'node_modules/sass-easing/_easings';
@import 'node_modules/bootstrap/scss/bootstrap';

@import 'settings/**/*';
@import 'global/**/*';
@import 'fonts/_fonts';
@import 'modules/**/*';
@import 'components/**/*';
@import 'overides/**/*';

.side-nav{
    width: 250px;
    height: 100%;
    position: fixed;
    top: 0;
    z-index: 9999;
    left: -200px;
    background: #935f94;
    transition: all ease-in-out 1s;
        .menu{
            height: 100%;
            padding: 50px 0;
            display: flex;
            justify-content: space-between;
            flex-direction: column;
                .top-menu .menu-list, .bottom-menu .menu-list{
                    display: flex;
                    justify-content: space-between;
                    padding: 15px;
                    font-weight: 600;
                    color: white;
                    cursor: pointer;
                }
        }
}

.side-toggle{
    width: 100%;
    position: relative;
        .btn-side-toggle{
            display: flex;
            justify-content: flex-end;
            padding: 15px;
            color: white;
            cursor: pointer;
                svg{
                    transition: all ease-in-out 0.5s;
                }
        }
}

.top-menu .menu-list:hover, .bottom-menu .menu-list:hover{
    background: #9f7dac;
    transition: all ease-in-out 0.5s;
}

.top-menu .menu-list.side-dropdown{
    display: flex;
    justify-content: space-between;
    position: relative;
        .dropdown-icon{
            cursor: pointer;
        }
}

.dropdown-to-right{
    // display: none;
    opacity: 0;
    position: absolute;
    right: 100%;
    background: #c2a5cf;
    box-sizing: content-box;
    width: 150px;
    padding: 10px;
    border-radius: 15px;
    transition: all ease-in-out 0.5s;
        .dropdown-list{
            padding: 10px;
        }
}

.dropdown-to-right.active{
    right: -175px;
    display: block;
    opacity: 1;
    transition: all ease-in-out 0.5s;    
}

.rotated{
    transform: rotate(180deg);
    transition: all ease-in-out 0.5s;
}

.unrotated{
    transform: rotate(0deg);
    transition: all ease-in-out 0.5s;
}

.contents{
    padding: 25px 0;
    width: 100%;
    position: relative;
    display: flex;
    justify-content: space-between;
        .rectangle{
            position: relative;
            display: flex;
            justify-content: flex-end;
            width: 100%;
            padding: 10px 0;
                .content-1{
                    width: 250px;
                    height: 250px;
                    box-shadow: 0px 1px 12px #174da4;
                    border-radius: 12px;
                    position: absolute;
                    top: 150px;
                    left: 50px;
                    z-index: 9;
                    background: url('../images/assets/bg-2.jpg');
                    background-size: 100% 100%;
                }
                .content-2{
                    width: 320px;
                    height: 550px;
                    background: url('../images/assets/bg-1.jpg');
                    background-size: 100% 100%;
                    border-radius: 15px;
                }
        } 
}

.header{
    font-size: 2.5rem;
    font-family: 'Poiret One', cursive;
    padding-top: 40%;
        span{
            background: gold;
            padding: 0 10px;
        }
}
